Bug Hunting Session
Bug 81436 - Add Formula Numbering autotext to all l10n
Summary: Add Formula Numbering autotext to all l10n
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Shortcuts-Locale AutoText
  Show dependency treegraph
 
Reported: 2014-07-16 17:35 UTC by michalis
Modified: 2019-09-08 14:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
missing autotext for most of the languages (83.77 KB, image/png)
2014-07-16 17:35 UTC, michalis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description michalis 2014-07-16 17:35:56 UTC
Created attachment 102930 [details]
missing autotext for most of the languages

The problem I'm facing is similar to resolved bug 47800

I want to insert formulas in a document using the fn+F3 autotext function and is not working. The problem is that the fn+F3 function depends of the language used, and if not defined in the specific language can't be used. In my case I'm using greek and /share/autotext/el is empty, as also most of the languages as shown in the attached picture.

Although if you provide autotext for greek the problem will be solved, I believe that such an important functionality shouldn't be dependent of the language used, or else soon another person using another language will face the same problem.


Moreover in my installation I'm missing the /share/autotext/en-US folder, must be left outside of the installation file, so can't use the function even when writing in english. I've made clean install twice and the file used is the official 4.2.5.2, downloaded through torrent. I've installed both english and greek languages, greek interface.
Comment 1 michalis 2014-08-04 10:18:36 UTC
4.3.0.4 and the problem still exists
Comment 2 Laurent BP 2015-12-30 18:13:44 UTC
@michalis
Autotext are built by each l10n project. If you want some autotext added by default to LibO, you should create them in your LibO, and attached here your .BAU file.
Comment 3 QA Administrators 2017-01-03 19:57:37 UTC Comment hidden (obsolete)
Comment 4 Laurent BP 2019-08-31 14:06:45 UTC
I propose to add by default to all l10n defined in [1], two Autotext:
- FN: Formula Numbering: insert a dummy formula in a table with an automatic numbering
- LOREM: insert dummy text "Lorem ipsum..."
Missing l10n are: ab af am an ar as ast az be bn bn-IN bo br brx bs ca-valencia cy dgo dsb dz el eo et eu fy ga gd gl gu gug he hi hsb id jv ka kab kk kl kmr-Latn kn kok ks ky lb lo lv mai mk ml mni mr my nb ne nn nr nso oc om or pa-IN rw sa-IN sah sat sd si sid sq ss st sw-TZ szl ta te tg th ti tn ts tt ug uk ur uz ve vec xh zu


[1] https://opengrok.libreoffice.org/xref/translations/source/
Comment 5 Commit Notification 2019-09-08 13:14:55 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/89e5af0b698b4748575966d30349af10cfe452f2%5E%21

tdf#81436 Add default Autotext to all l10n

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.